Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007153OCamlotherlibspublic2016-02-20 22:482017-09-24 17:33
Reportermwm 
Assigned To 
PrioritynormalSeveritytweakReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version4.02.3 
Target Version4.04.0 +dev / +beta1 / +beta2Fixed in Version4.04.0 +dev / +beta1 / +beta2 
Summary0007153: SOCK_SEQPACKET is unusable
DescriptionWhile the Unix library exports the SOCK_SEQPACKET connction type, it fails to export anything allowing it to be used. In particular, the message flag MSG_EOR (used to mark and detect the end of a packet) isn't there. Worse yet, there's apparently no API for reading from a socket that lets you check the message flags for MSG_EOR (or I couldn't find it, in which case the documentation might be improved).

Given that the SEQPACKET connection type isn't widely implemented, and may only be supported for odd protocol families, possibly the best solution is to simply remove it.
Steps To ReproduceRead the documentation on the Unix library.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0016019)
xleroy (administrator)
2016-06-29 10:10

Documented the issue, commit [trunk 4515477]. We could improve support for SOCK_SEQPACKET by binding the recvmsg() and sendmsg() system calls. But it's probably not worth the effort.

- Issue History
Date Modified Username Field Change
2016-02-20 22:48 mwm New Issue
2016-02-24 16:50 doligez Status new => acknowledged
2016-02-24 16:50 doligez Target Version => 4.03.1+dev
2016-06-29 10:10 xleroy Note Added: 0016019
2016-06-29 10:10 xleroy Status acknowledged => resolved
2016-06-29 10:10 xleroy Resolution open => fixed
2016-06-29 10:10 xleroy Fixed in Version => 4.04.0 +dev / +beta1 / +beta2
2016-06-29 10:10 xleroy Target Version 4.03.1+dev => 4.04.0 +dev / +beta1 / +beta2
2017-02-23 16:42 doligez Category OCaml otherlibs => otherlibs
2017-09-24 17:33 xleroy Status resolved => closed


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker